<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Mi primer Leaflet</title>
    <!-- Leaflet -->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.0.1/dist/leaflet.css" />
    <!-- Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <!-- Mini map -->
    <link rel="stylesheet" href="Leaflet-MiniMap/dist/Control.MiniMap.min.css">
    <!-- Leaflet.MousePosition -->
    <link rel="stylesheet" href="Leaflet.MousePosition/src/L.Control.MousePosition.css">
    <!-- Leaflet.awesome-markers -->
    <link rel="stylesheet" href="Leaflet.awesome-markers/dist/leaflet.awesome-markers.css">
    <!--  -->
    <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css">
    <!--  -->
    <link rel="stylesheet" href="font-awesome-4.7.0/css/font-awesome.css">

    <!-- Leaflet -->
    <script src="https://unpkg.com/leaflet@1.0.1/dist/leaflet.js"></script>
    <!-- ESRI -->
    <script src="https://cdn.jsdelivr.net/leaflet.esri/2.0.0-beta.8/esri-leaflet.js"></script>
    <script src="archivos_curso_leaflet/leaflet.shpfile.js"></script>
    <script src="archivos_curso_leaflet/shp.js"></script>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.1.1.min.js" integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous"></script>
    <!-- Bootstrap -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <!-- Mini map -->
    <script src="Leaflet-MiniMap/dist/Control.MiniMap.min.js"></script>
    <!-- Leaflet.MousePosition -->
    <script src="Leaflet.MousePosition/src/L.Control.MousePosition.js" charset="utf-8"></script>
    <!-- leaflet-plugins -->
    <script src="leaflet-plugins/layer/tile/Bing.js" charset="utf-8"></script>
    <!-- API-KEY Google -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCo64rjBlRmgFCtMBZ4cdrj7xes8fS8qd0&libraries=places"></script>
    <!-- Leaflet.GoogleMutant -->
    <script src='https://unpkg.com/leaflet.gridlayer.googlemutant@latest/Leaflet.GoogleMutant.js'></script>
    <!-- Leaflet.awesome-markers -->
    <script src="Leaflet.awesome-markers/dist/leaflet.awesome-markers.js" charset="utf-8"></script>
    <!-- geojson -->
    <script type="text/javascript" src="countries.js"></script>

    <style>
        body,
        html,
        #map {
            height: 100%;
            padding: 0;
            margin: 0;
        }

        .awesome-marker i {
            font-size: 18px;
            margin-top: 8px;
        }
    </style>
</head>

<body>
    <div id="Zmax"></div>
    <div id="Zmin"></div>
    <div id="map"> </div>

    <script>
        var map = L.map('map', {
            center: [40.965, -5.664],
            zoom: 14
        });
        L.esri.basemapLayer('Imagery').addTo(map);
        L.esri.basemapLayer('ImageryLabels').addTo(map);

        // var shpfile = new L.Shapefile('archivos_curso_leaflet/countries.zip');
        // shpfile.addTo(map);

        var shpfile = new L.Shapefile('archivos_curso_leaflet/countries.zip', {
            onEachFeature: function(feature, layer) {
                if (feature.properties) {
                    var contenedor = [];
                    for (var key in feature.properties) {
                        contenedor.push(key + ": " + feature.properties[key] + "<br>");
                        popupContent = contenedor.join("");
                        layer.bindPopup(popupContent);
                    }
                }
            }
        });
        shpfile.addTo(map);
        var shpfile = new L.Shapefile('archivos_curso_leaflet/countries.zip', {
            style: function(feature) {
                return {
                    color: "black",
                    fillColor: "green",
                    fillOpacity: 0.6
                };
            }
        });
        shpfile.addTo(map);
    </script>
</body>

</html>
